libasm-dev_0.168-1_i386.deb


Advertisement

Description

libasm-dev - libasm development libraries and header files

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libasm-dev_0.168-1_i386.deb
Package name libasm-dev
Package version 0.168
Package release 1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://sourceware.org/elfutils/
License -
Maintainer Kurt Roeckx <kurt@roeckx.be>
Download size 31.63 KB
Installed size 103.00 KB
libasm1 allows you to create ELF files on a low level.
This package contains development libraries and header files for libasm1.

Alternatives

Package Version Architecture Repository
libasm-dev_0.168-1_amd64.deb 0.168 amd64 Debian Main
libasm-dev - - -

Requires

Name Value
libasm1 = 0.168-1
libelf-dev -

Conflicts

Name Value
libasm0-dev -
libelfsh0-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libasm-dev_0.168-1_i386.deb
Source Package elfutils

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libasm-dev deb package:
    # sudo apt-get install libasm-dev

Files

Path
/usr/include/elfutils/libasm.h
/usr/lib/i386-linux-gnu/libasm.a
/usr/lib/i386-linux-gnu/libasm.so
/usr/share/doc/libasm-dev/changelog.Debian.gz
/usr/share/doc/libasm-dev/changelog.gz
/usr/share/doc/libasm-dev/copyright

Changelog

2017-05-27 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.168-1) unstable; urgency=medium
* Fix CVE-2017-7607 (Closes: #859996)
* Fix CVE-2017-7608 (Closes: #859995)
* Fix CVE-2017-7609 (Closes: #859994)
* Fix CVE-2017-7610 (Closes: #859993)
* Fix CVE-2017-7611 (Closes: #859992)
* Fix CVE-2017-7612 (Closes: #859991)
* Fix CVE-2017-7613 (Closes: #859990)
2016-12-29 - Matthias Klose <doko@debian.org>
elfutils (0.168-0.2) unstable; urgency=medium
* debian/copyright: Update to the current licensing, as introduced
with elfutils 0.154.
* Drop the m68k_backend.diff patch.
2016-12-29 - Matthias Klose <doko@debian.org>
elfutils (0.168-0.1) experimental; urgency=medium
* Non-maintainer upload.
* New upstream release
- m68k_backend.diff: Don't apply.
- testsuite-amd64-fix-backtrace-native.patch: Remove, applied upstream.
- Refresh patches.
- Build failure on non Linux targets fixed. Closes: #816394.
* Update libdw1 symbols file.
* Improve DEB_BUILD_OPTIONS=nocheck handling (Helmut Grohne). See #832456.
- Don't treat DEB_BUILD_OPTIONS=casinocheck as nocheck.
- Don't default to nocheck for cross building.
- Annotate Build-Depends: gcc-multilib with <!nocheck> profile.
* Update reference to new sourceware.org home.
2016-10-18 - James Clarke <jrtc27@jrtc27.com>
elfutils (0.166-2.2) unstable; urgency=medium
* Non-maintainer upload.
* testsuite-amd64-fix-backtrace-native.patch: Backport upstream
patch to fix FTBFS on amd64 (Closes: #841124)
2016-10-07 - James Clarke <jrtc27@jrtc27.com>
elfutils (0.166-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Build-Depend on gcc-multilib and libc6-dbg on sparc64 (Closes: #832584)
2016-07-23 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.166-2) unstable; urgency=medium
* Actually add ignore_strmerge.diff to the patch series.
2016-07-23 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.166-1) unstable; urgency=medium
* New upstream release
* Ignore run-native-test on Hurd, the maps file doesn't have
paths in it.  Patch from Samuel Thibault <sthibault@debian.org> 
(Closes: #682101)
* Make cross compilation actually work.  Patch from Helmut Grohne
<helmut@subdivi.de>  (Closes: #818099)
* Add libebl.a to libdw-dev (Closes: #825747, #647918)
* Ignore strmerge test failured, needed on at least mips.  Patch
from Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>
(Closes: #818485)
* Change versioned build-depends on debhelper from 8.1.3 to 9 to
make lintian happy.
* Update Standards-Version to 3.9.8, no changes required.
2016-01-16 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.165-3) unstable; urgency=medium
* Add patches from Mark Wielaard to fix non-Linux issues.
2016-01-13 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.165-2) unstable; urgency=medium
* Make the new libelf.h work with older elf.h from glibc (Closes: #810885)
2016-01-11 - Kurt Roeckx <kurt@roeckx.be>
elfutils (0.165-1) unstable; urgency=medium
* New upstream release
* Install libelf.pc and libdw.pc file.
* Update libelf1.symbols and libdw1.symbols with 0.165 version

See Also

Package Description
libasm-java-doc_5.2-2_all.deb Java bytecode manipulation framework (documentation)
libasm-java_5.2-2_all.deb Java bytecode manipulation framework
libasm1_0.168-1_i386.deb library with a programmable assembler interface
libasm3-java-doc_3.3.2-3_all.deb Documentation for ASM, the Java(TM) bytecode manipulation framework
libasm3-java_3.3.2-3_all.deb Java bytecode manipulation framework
libasm4-java-doc_5.0.4-2_all.deb Documentation for ASM, the Java(TM) bytecode manipulation framework
libasm4-java_5.0.4-2_all.deb Java bytecode manipulation framework
libasn1-8-heimdal_7.1.0+dfsg-13+deb9u3_i386.deb Heimdal Kerberos - ASN.1 library
libasound2-data_1.1.3-5_all.deb Configuration files and profiles for ALSA drivers
libasound2-dev_1.1.3-5_i386.deb shared library for ALSA applications -- development files
libasound2-doc_1.1.3-5_all.deb documentation for user-space ALSA application programming
libasound2-plugin-equal_0.6-7_i386.deb equalizer plugin for ALSA
libasound2-plugin-smixer_1.1.3-5_i386.deb smixer plugin for ALSA library
libasound2-plugins_1.1.1-1_i386.deb ALSA library additional plugins
libasound2_1.1.3-5_i386.deb shared library for ALSA applications
Advertisement
Advertisement